Difference between revisions of "Netbeans"

From ArchWiki
Jump to: navigation, search
m (Glassfish server - Can`t download Glassfish server I/O Exception)
(Troubleshooting)
Line 18: Line 18:
  
 
== Troubleshooting ==
 
== Troubleshooting ==
OpenJDK vs Sun's JDK
+
 
 +
== OpenJDK vs Sun's JDK ==
 
Netbeans 7.0-1 will NOT work with OpenJDK. It will install ok, but it will not run. You must use Sun's JDK.
 
Netbeans 7.0-1 will NOT work with OpenJDK. It will install ok, but it will not run. You must use Sun's JDK.
  

Revision as of 14:25, 17 May 2011

Netbeans IDE is an integrated development environment (IDE) for developing with Java, JavaScript, PHP, Python, Ruby, Groovy, C, C++, Scala, Clojure, and other languages.

The NetBeans IDE is written in Java and runs everywhere where a JVM is installed, including Windows, Mac OS, Linux, and Solaris. A JDK is required for Java development functionality, but is not required for development in other programming languages.

(based on wikipedia)

Font antialiasing in Netbeans

Based on: http://ibnaziz.wordpress.com/2009/06/10/netbeans-anti-aliasing/

Problem :

For some time now, the newer version of netbeans, no longer displays the “Advanced Options” that allows for anti-aliased fonts. And frankly speaking, the fonts look terrible.

Solution :

Edit the file /usr/share/netbeans/etc/netbeans.conf and add the switchs ‘-J-Dswing.aatext=true -J-Dawt.useSystemAAFontSettings=on’ to ‘netbeans_default_options’.

Troubleshooting

OpenJDK vs Sun's JDK

Netbeans 7.0-1 will NOT work with OpenJDK. It will install ok, but it will not run. You must use Sun's JDK.

Glassfish server - Can`t download Glassfish server I/O Exception

If you are trying add new Glassfish server, you can`t download the server. Netbeans returns

I/O Exception: http://java.net/download/glassgish/3.0.1/release/glassfish-3.0.1-ml.zip

Solution is: